Bug 197669 - www/webkit-gtk2: Broken on gcc5 and pushes clang-only cxx-flags
Summary: www/webkit-gtk2: Broken on gcc5 and pushes clang-only cxx-flags
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-gnome mailing list
URL:
Keywords: needs-qa, patch
Depends on:
Blocks:
 
Reported: 2015-02-14 22:37 UTC by John Marino
Modified: 2015-03-11 18:29 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (gnome)


Attachments
patch to allow building port on gcc-5 (1.62 KB, patch)
2015-02-14 22:37 UTC, John Marino
koobs: maintainer-approval? (gnome)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description John Marino freebsd_committer 2015-02-14 22:37:15 UTC
Created attachment 152989 [details]
patch to allow building port on gcc-5

There are two problems with building webkit on gcc-5.

1) The configure check is brain-dead, it can't figure out 5 > 4.x

2) -Wno-c++11-extensions is a clang-only flag that gcc-5 will not accept.

The attached patch adds a patch to configure that fixes the configure check.  It also groups -Wno-c++11-extensions with another clang-only flag.

This fixes the build with gcc5 and probably gcc4.9 as well (but I'm not sure when the flag started getting rejected)

At least 110 ports depends on webkit-gtk2, directly or indirectly.
Comment 1 Bugzilla Automation freebsd_committer 2015-02-14 22:37:15 UTC
Auto-assigned to maintainer gnome@FreeBSD.org
Comment 2 John Marino freebsd_committer 2015-03-01 16:57:07 UTC
technically I can push this now due to timeout.  I'd rather gnome@ team actually approve it though.

As far as I can tell, it's a no-op for FreeBSD, so it should be okay.
Comment 3 Chris Hutchinson 2015-03-10 19:45:43 UTC
(In reply to John Marino from comment #2)
> technically I can push this now due to timeout.  I'd rather gnome@ team
> actually approve it though.
> 
> As far as I can tell, it's a no-op for FreeBSD, so it should be okay.

Please do. I just got bit by this now. :(

Additional (pertinent?) information:

FreeBSD dev 9.3-STABLE FreeBSD 9.3-STABLE #0 r279799:
Mon Mar  9 07:27:54 PDT 2015
root@dev:/usr/obj/usr/src/sys/DEV  amd64

ports @ r380829

Thanks!

--Chris
Comment 4 Chris Hutchinson 2015-03-11 13:18:06 UTC
Probably should mention;
the patch above worked well for me, on the system I
noted above.

--Chris
Comment 5 commit-hook freebsd_committer 2015-03-11 18:28:04 UTC
A commit references this bug:

Author: marino
Date: Wed Mar 11 18:27:19 UTC 2015
New revision: 381025
URL: https://svnweb.freebsd.org/changeset/ports/381025

Log:
  www/webkit-gtk(2,3): Fix build on gcc5 and isolate clang-only flag

  PR:		197669
  PR:		197671
  Submitted by:	marino
  Approved by:	maintainer timeout

Changes:
  head/www/webkit-gtk2/Makefile
  head/www/webkit-gtk2/files/patch-configure
  head/www/webkit-gtk3/Makefile
  head/www/webkit-gtk3/files/patch-configure